Get BBO
curl --request GET \
--url https://api.perpetuals.polymarket.com/v1/info/bboimport requests
url = "https://api.perpetuals.polymarket.com/v1/info/bbo"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.perpetuals.polymarket.com/v1/info/bbo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"instrument_id": 1,
"bid_price": "99.50",
"bid_quantity": "10.00",
"ask_price": "100.50",
"ask_quantity": "10.00",
"timestamp": 1767225600000
}
]{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}Get BBO
Get best bid and offer for all instruments.
GET
/
v1
/
info
/
bbo
Get BBO
Query Parameters
Instrument ID
Response
BBO response.
Instrument ID
Example:
1
Best bid price
Example:
"99.50"
Best bid quantity
Example:
"10.00"
Best ask price
Example:
"100.50"
Best ask quantity
Example:
"10.00"
Request timestamp. Unix milliseconds for most operations; Unix seconds for withdrawals (must match the on-chain EIP-712 struct verified against block.timestamp).
Example:
1767225600000
Was this page helpful?
⌘I